comparison configure @ 57351:c36defd6923f

* configure.in (HAVE_RANDOM_HEAPSTART): Change AC_MSG_ERROR to AC_MSG_WARN.
author Jan Djärv <jan.h.d@swipnet.se>
date Wed, 06 Oct 2004 07:24:40 +0000
parents 76b377db0bca
children 333180b73b52
comparison
equal deleted inserted replaced
57350:11b8de2051f3 57351:c36defd6923f
7744 echo "$as_me:$LINENO: checking whether heap start address is randomized" >&5 7744 echo "$as_me:$LINENO: checking whether heap start address is randomized" >&5
7745 echo $ECHO_N "checking whether heap start address is randomized... $ECHO_C" >&6 7745 echo $ECHO_N "checking whether heap start address is randomized... $ECHO_C" >&6
7746 if test x"$ac_cv_header_unistd_h" != x && test x"$ac_cv_header_stdlib_h" != x 7746 if test x"$ac_cv_header_unistd_h" != x && test x"$ac_cv_header_stdlib_h" != x
7747 then 7747 then
7748 if test "$cross_compiling" = yes; then 7748 if test "$cross_compiling" = yes; then
7749 emacs_cv_execshield='assuming no' 7749 emacs_cv_randomheap='assuming no'
7750 else 7750 else
7751 cat >conftest.$ac_ext <<_ACEOF 7751 cat >conftest.$ac_ext <<_ACEOF
7752 /* confdefs.h. */ 7752 /* confdefs.h. */
7753 _ACEOF 7753 _ACEOF
7754 cat confdefs.h >>conftest.$ac_ext 7754 cat confdefs.h >>conftest.$ac_ext
7786 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 7786 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7787 (eval $ac_try) 2>&5 7787 (eval $ac_try) 2>&5
7788 ac_status=$? 7788 ac_status=$?
7789 echo "$as_me:$LINENO: \$? = $ac_status" >&5 7789 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7790 (exit $ac_status); }; }; then 7790 (exit $ac_status); }; }; then
7791 emacs_cv_execshield=yes 7791 emacs_cv_randomheap=yes
7792 else 7792 else
7793 echo "$as_me: program exited with status $ac_status" >&5 7793 echo "$as_me: program exited with status $ac_status" >&5
7794 echo "$as_me: failed program was:" >&5 7794 echo "$as_me: failed program was:" >&5
7795 sed 's/^/| /' conftest.$ac_ext >&5 7795 sed 's/^/| /' conftest.$ac_ext >&5
7796 7796
7797 ( exit $ac_status ) 7797 ( exit $ac_status )
7798 emacs_cv_execshield=no 7798 emacs_cv_randomheap=no
7799 fi 7799 fi
7800 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 7800 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
7801 fi 7801 fi
7802 else 7802 else
7803 emacs_cv_execshield='assuming no' 7803 emacs_cv_randomheap='assuming no'
7804 fi 7804 fi
7805 echo "$as_me:$LINENO: result: $emacs_cv_execshield" >&5 7805 echo "$as_me:$LINENO: result: $emacs_cv_randomheap" >&5
7806 echo "${ECHO_T}$emacs_cv_execshield" >&6 7806 echo "${ECHO_T}$emacs_cv_randomheap" >&6
7807 7807
7808 if test "$emacs_cv_execshield" = yes; then 7808 if test "$emacs_cv_randomheap" = yes; then
7809 # Extract the first word of "setarch", so it can be a program name with args. 7809 # Extract the first word of "setarch", so it can be a program name with args.
7810 set dummy setarch; ac_word=$2 7810 set dummy setarch; ac_word=$2
7811 echo "$as_me:$LINENO: checking for $ac_word" >&5 7811 echo "$as_me:$LINENO: checking for $ac_word" >&5
7812 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 7812 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7813 if test "${ac_cv_path_SETARCH+set}" = set; then 7813 if test "${ac_cv_path_SETARCH+set}" = set; then
7852 cat >>confdefs.h <<\_ACEOF 7852 cat >>confdefs.h <<\_ACEOF
7853 #define HAVE_RANDOM_HEAPSTART 1 7853 #define HAVE_RANDOM_HEAPSTART 1
7854 _ACEOF 7854 _ACEOF
7855 7855
7856 else 7856 else
7857 { { echo "$as_me:$LINENO: error: Heap start address is randomized and no workaround is known. 7857 { echo "$as_me:$LINENO: WARNING:
7858 Probably exec-shield is turned on. Emacs can not dump itself if this is the 7858 **********************************************************************
7859 case. Read about exec-shield in \`etc/PROBLEMS' for further information." >&5 7859
7860 echo "$as_me: error: Heap start address is randomized and no workaround is known. 7860 Heap start address is randomized and no workaround is known.
7861 Probably exec-shield is turned on. Emacs can not dump itself if this is the 7861 Emacs will probably dump core when temacs is run in the build phase.
7862 case. Read about exec-shield in \`etc/PROBLEMS' for further information." >&2;} 7862 Maybe exec-shield is turned on. Read about exec-shield in \`etc/PROBLEMS'
7863 { (exit 1); exit 1; }; } 7863 for further information.
7864
7865 **********************************************************************
7866 " >&5
7867 echo "$as_me: WARNING:
7868 **********************************************************************
7869
7870 Heap start address is randomized and no workaround is known.
7871 Emacs will probably dump core when temacs is run in the build phase.
7872 Maybe exec-shield is turned on. Read about exec-shield in \`etc/PROBLEMS'
7873 for further information.
7874
7875 **********************************************************************
7876 " >&2;}
7864 fi 7877 fi
7865 fi 7878 fi
7866 7879
7867 7880
7868 7881